Summary: Text file format converter
Name: dos2unix
Version: 3.1
Release: 1
Group: Applications/Text
License: BSD
Source0: %{name}-%{version}.tar.bz2
Patch0: %{name}-%{version}-aix.patch
Patch1: %{name}-%{version}.patch
Patch2: dos2unix-3.1-segfault.patch
Patch3: dos2unix-3.1-safeconv.patch
Patch4: dos2unix-3.1-manpage-update-57507.patch
Patch5: dos2unix-3.1-preserve-file-modes.patch
Patch6: dos2unix-3.1-tmppath.patch
Patch7: dos2unix-c-missing-arg.patch
Patch8: dos2unix-missing-proto.patch
Patch9: dos2unix-manpage.patch
Patch10: dos2unix-preserve-file-modes.patch

Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: patch, sed

%description
Dos2unix converts DOS or MAC text files to UNIX format.


%prep
export PATH=/opt/freeware/bin:$PATH
%setup -q
%patch0
%patch1 -p1 -b .orig
%patch2 -p1 -b .segfault
%patch3 -p1 -b .safeconv
%patch4 -p1 -b .manpage-update-57507
%patch5 -p1 -b .preserve-file-modes
%patch6 -p1 -b .tmppath
%patch7 -p1 -b .c-missing-arg
%patch8 -p1 -b .missing-proto
%patch9 -p1 -b .manpage
%patch10 -p1 -b .preserve-file-modes

for I in *.[ch]; do
	sed -e 's,#endif.*,#endif,g' -e 's,#else.*,#else,g' $I > $I.new
	mv -f $I.new $I
done


%build
${CC} ${CFLAGS} dos2unix.c -o dos2unix
/usr/bin/strip dos2unix


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

mkdir -p ${RPM_BUILD_ROOT}%{_bindir}
cp dos2unix ${RPM_BUILD_ROOT}%{_bindir}
chmod 0755 ${RPM_BUILD_ROOT}%{_bindir}/*
ln -s dos2unix ${RPM_BUILD_ROOT}%{_bindir}/mac2unix

mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/man1
cp dos2unix.1 ${RPM_BUILD_ROOT}%{_mandir}/man1
chmod 0644 ${RPM_BUILD_ROOT}%{_mandir}/man1/*
ln -s dos2unix.1 ${RPM_BUILD_ROOT}%{_mandir}/man1/mac2unix.1

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .


%files
%defattr(-,root,system,-)
%doc COPYRIGHT
%{_bindir}/*
%{_mandir}/man1/*
/usr/bin/*


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%changelog
* Mon Sep 29 2008 Michael Perzl <michael@perzl.org> - 3.1-1
- first version for AIX V5.1 and higher
